from __future__ import absolute_import
from . import core, common, dataaccess, datatype, geometry, raster, rp, srs

import atexit
atexit.register(common.TeSingleton_getInstance().finalize)

try:

  import sys
  import os
  
  if sys.platform == "win32":
    os.environ['PATH'] = os.path.dirname(os.path.abspath(__file__)) + ";" + os.environ['PATH']
  try:
    core.Logger_instance().addLogger(core.TERRALIB_DEFAULT_LOGGER, os.path.dirname(os.path.abspath(__file__)) + "\\terralib.log" , core.TERRALIB_DEFAULT_LOGGER_FORMAT)
  except:
    pass
  
  common.TeSingleton_getInstance().initialize()

  plugin_path = core.FindInTerraLibPath('share/terralib/plugins/te.da.gdal.teplg.json')
  plugin_info = core.JSONPluginInfoSerializer(plugin_path)
  if not core.PluginManager_instance().exists(plugin_info.name):
    core.PluginManager_instance().insert(plugin_info)
    if not core.PluginManager_instance().isLoaded(plugin_info.name):
      core.PluginManager_instance().load(plugin_info.name)

  plugin_path = core.FindInTerraLibPath('share/terralib/plugins/te.da.pgis.teplg.json')
  plugin_info = core.JSONPluginInfoSerializer(plugin_path)
  if not core.PluginManager_instance().exists(plugin_info.name):
    core.PluginManager_instance().insert(plugin_info)
    if not core.PluginManager_instance().isLoaded(plugin_info.name):
      core.PluginManager_instance().load(plugin_info.name)
  
  plugin_path = core.FindInTerraLibPath('share/terralib/plugins/te.da.ogr.teplg.json')
  plugin_info = core.JSONPluginInfoSerializer(plugin_path)
  if not core.PluginManager_instance().exists(plugin_info.name):
    core.PluginManager_instance().insert(plugin_info)
    if not core.PluginManager_instance().isLoaded(plugin_info.name):
      core.PluginManager_instance().load(plugin_info.name)
except Exception as e:
  print(e)
