#!/bin/bash
#
#  Copyright (C) 2005 National Institute For Space Research (INPE) - Brazil.
#
#  This file is part of the TerraAmazon - A GIS for vector data using multi-temporal satellite images.
#
#  TerraAmazon is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License,
#  or (at your option) any later version.
#
#  TerraAmazon is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public License
#  along with TerraAmazon. See COPYING. If not, write to
#  TerraAmazon Team at <terraamazon-team@funcate.org.br>.
#
#
#  Description: Uninstall TerraAmazon and some required software on Linux Ubuntu.
#
#  Author: TerraAmazon Team <terraamazon-team@funcate.org.br>
#
#  Example:
#  $ ./uninstall.sh
#

#
# Valid parameter val or abort script
#
function valid()
{
  if [  -ne 0 ]; then
    echo $2
    echo ""
    exit $1
  fi
}

echo "**************************************************"
echo "* TerraAmazon Uninstaller for Linux Ubuntu 16.04 *"
echo "**************************************************"
echo ""
sleep 1s

#
# TerraAmazon version 7.0.1 
#
terraamazon_test=`dpkg -s terraamazon-7.0.1 | grep Status`

if [ "$terraamazon_test" == "Status: install ok installed" ]; then
  sudo dpkg -r terraamazon-7.0.1
  valid $? "Error: could not uninstall terraamazon!" 
  echo "terraamazon uninstalled!"
else
  echo "terraamazon already uninstalled!"
fi

echo ""
echo "**************************"
echo "* Finished Successfully! *"
echo "**************************"
echo ""
